---
title: "更新运单号"
description: "订单更新运单号"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/shipping-and-fulfillment/update-tracking-number'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/shipping-and-fulfillment/update-tracking-number.md'
---
# 更新运单号

订单更新运单号

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /orders/:order_id/fulfillments/:fulfillment_id/update_tracking.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `write_orders`

## Request

### Path Parameters

* `fulfillment_id`

  string (required)

  包裹ID

* `order_id`

  string (required)

  订单号

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

### Request Body

* `fulfillment`

  object

  包裹信息

  * `tracking_info_list`

    array<object>

    物流追踪信息列表，若指定该入参，则单个入参的`tracking_url`、`tracking_number`、`tracking_company`被拦截。最多传入 10 个追踪信息。

    * `tracking_company`

      string

      物流公司名称，枚举值参考 [物流公司名单](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/references/logistics-company-list.md)。

    * `tracking_number`

      string

      物流单号。

    * `tracking_url`

      string

      追踪链接。

  * `tracking_info`

    object

    物流信息
    :::danger
    **废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。
    :::

    * `number`

      string

      运单号

    * `url`

      string

      物流追踪URL

    * `company`

      string

      物流公司

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `fulfillment`

  object

  包裹信息

  * `tracking_number`

    string

    运单号
    :::danger
    **废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。
    :::

  * `tracking_numbers`

    array<string>

    运单号数组

  * `updated_at`

    string

    更新时间

  * `id`

    string

    包裹ID

  * `name`

    string

    包裹

  * `status`

    string

    包裹状态

  * `tracking_info_list`

    array<object>

    物流追踪信息列表，若指定该入参，则单个入参的`tracking_url`、`tracking_number`、`tracking_company`被拦截。最多传入 10 个追踪信息。

    * `tracking_url`

      string

      追踪链接。

    * `tracking_company`

      string

      物流服务商。

    * `tracking_number`

      string

      物流单号。

  * `tracking_url`

    string

    物流追踪URL
    :::danger
    **废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。
    :::

  * `tracking_urls`

    array<string>

    物流追踪URL组

  * `created_at`

    string

    创建日期

  * `line_items`

    array<object>

    商品组

    * `name`

      string

      商品名称

    * `price_set`

      object

      多币种价格

      * `presentment_money`

        object

        结算币种

      * `shop_money`

        object

        店铺币种

    * `sku`

      string

      商品货号

    * `taxable`

      boolean

      是否收税

    * `total_discount_set`

      object

      多币种优惠

      * `presentment_money`

        object

        结算币种

      * `shop_money`

        object

        店铺币种

    * `price`

      string

      价格

    * `product_id`

      string

      商品id

    * `requires_shipping`

      boolean

      是否需要发货

    * `tax_lines`

      array<object>

      税

      * `price`

        string

        金额

      * `price_set`

        object

        多币种金额

      * `rate`

        string

        税率

      * `title`

        string

        税名称

    * `total_discount`

      string

      优惠金额

    * `version`

      string

      商品版本

    * `title`

      string

      商品标题

    * `grams`

      double

      重量

    * `quantity`

      integer

      商品发货数量

    * `variant_id`

      string

      商品变体ID

    * `variant_title`

      string

      商品变体名称

    * `fulfillable_quantity`

      integer

      可发货数量

    * `id`

      string

      商品ID

  * `order_id`

    string

    订单号

  * `shipment_status`

    string

    物流状态

  * `tracking_company`

    string

    物流公司名称
    :::danger
    **废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。
    :::


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "tags": [
    "更新运单号"
  ],
  "description": "订单更新运单号",
  "externalDocs": {
    "description": "接口使用的权限点: `write_orders` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| SUCCESS | 200 | request success |\n| SYSTEM_ERROR | 500 | system error |\n| PARAM_ILLEGAL | 422 | illegal param |\n| ILLEGAL_PARAMS | 422 | illegal param |\n| ORDER_IS_NULL | 422 | order not exist |\n| MULTI_EXPRESS_INFO_MAX_SIZE | 422 | A maximum of 10 tracking information can be added |\n"
  },
  "operationId": "hXEbkXwh",
  "parameters": [
    {
      "name": "fulfillment_id",
      "in": "path",
      "description": "包裹ID",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "fulfillment_id",
        "description": "包裹ID",
        "type": "string"
      }
    },
    {
      "name": "order_id",
      "in": "path",
      "description": "订单号",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "order_id",
        "description": "订单号",
        "type": "string"
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "name": "body",
          "description": "body",
          "type": "object",
          "properties": {
            "fulfillment": {
              "name": "fulfillment",
              "description": "包裹信息",
              "type": "object",
              "properties": {
                "tracking_info_list": {
                  "name": "tracking_info_list",
                  "description": "物流追踪信息列表，若指定该入参，则单个入参的`tracking_url`、`tracking_number`、`tracking_company`被拦截。最多传入 10 个追踪信息。",
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "tracking_company": {
                        "name": "tracking_company",
                        "description": "物流公司名称，枚举值参考 [物流公司名单](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/references/logistics-company-list.md)。",
                        "type": "string"
                      },
                      "tracking_number": {
                        "name": "tracking_number",
                        "description": "物流单号。",
                        "type": "string"
                      },
                      "tracking_url": {
                        "name": "tracking_url",
                        "description": "追踪链接。",
                        "type": "string"
                      }
                    },
                    "example": {
                      "tracking_company": null,
                      "tracking_number": null,
                      "tracking_url": null
                    }
                  },
                  "example": [
                    {
                      "tracking_company": null,
                      "tracking_number": null,
                      "tracking_url": null
                    }
                  ]
                },
                "tracking_info": {
                  "name": "tracking_info",
                  "description": "物流信息\n:::danger\n**废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。\n:::",
                  "type": "object",
                  "properties": {
                    "number": {
                      "name": "number",
                      "description": "运单号",
                      "type": "string",
                      "example": "\"1123212\""
                    },
                    "url": {
                      "name": "url",
                      "description": "物流追踪URL",
                      "type": "string",
                      "example": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\""
                    },
                    "company": {
                      "name": "company",
                      "description": "物流公司",
                      "type": "string",
                      "example": "\"4PX\""
                    }
                  },
                  "example": {
                    "company": "\"4PX\"",
                    "number": "\"1123212\"",
                    "url": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\""
                  }
                }
              },
              "example": {
                "tracking_info": {
                  "number": "\"1123212\"",
                  "url": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"",
                  "company": "\"4PX\""
                },
                "tracking_info_list": [
                  {
                    "tracking_url": null,
                    "tracking_company": null,
                    "tracking_number": null
                  }
                ]
              }
            }
          },
          "required": [
            "fulfillment"
          ],
          "example": {
            "fulfillment": {
              "tracking_info": {
                "company": "\"4PX\"",
                "number": "\"1123212\"",
                "url": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\""
              },
              "tracking_info_list": [
                {
                  "tracking_company": null,
                  "tracking_number": null,
                  "tracking_url": null
                }
              ]
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "fulfillment": {
                "name": "fulfillment",
                "description": "包裹信息",
                "type": "object",
                "properties": {
                  "tracking_number": {
                    "name": "tracking_number",
                    "description": "运单号\n:::danger\n**废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。\n:::",
                    "type": "string",
                    "example": "\"UG198768340YP\""
                  },
                  "tracking_numbers": {
                    "name": "tracking_numbers",
                    "description": "运单号数组",
                    "type": "array",
                    "items": {
                      "type": "string",
                      "example": "[\"UG198768340YP\"]"
                    },
                    "example": [
                      "[\"UG198768340YP\"]"
                    ]
                  },
                  "updated_at": {
                    "name": "updated_at",
                    "description": "更新时间",
                    "type": "string",
                    "example": "2022-10-21T08:56:20-04:00"
                  },
                  "id": {
                    "name": "id",
                    "description": "包裹ID",
                    "type": "string",
                    "example": "\"4005740193290131085320\""
                  },
                  "name": {
                    "name": "name",
                    "description": "包裹",
                    "type": "string",
                    "example": "\"#21057116277667827637773776.1\""
                  },
                  "status": {
                    "name": "status",
                    "description": "包裹状态",
                    "type": "string",
                    "example": "\"success-shipped\""
                  },
                  "tracking_info_list": {
                    "name": "tracking_info_list",
                    "description": "物流追踪信息列表，若指定该入参，则单个入参的`tracking_url`、`tracking_number`、`tracking_company`被拦截。最多传入 10 个追踪信息。",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "tracking_url": {
                          "name": "tracking_url",
                          "description": "追踪链接。",
                          "type": "string"
                        },
                        "tracking_company": {
                          "name": "tracking_company",
                          "description": "物流服务商。",
                          "type": "string"
                        },
                        "tracking_number": {
                          "name": "tracking_number",
                          "description": "物流单号。",
                          "type": "string"
                        }
                      },
                      "example": {
                        "tracking_company": null,
                        "tracking_number": null,
                        "tracking_url": null
                      }
                    },
                    "example": [
                      {
                        "tracking_company": null,
                        "tracking_number": null,
                        "tracking_url": null
                      }
                    ]
                  },
                  "tracking_url": {
                    "name": "tracking_url",
                    "description": "物流追踪URL\n:::danger\n**废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。\n:::",
                    "type": "string",
                    "example": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\""
                  },
                  "tracking_urls": {
                    "name": "tracking_urls",
                    "description": "物流追踪URL组",
                    "type": "array",
                    "items": {
                      "type": "string",
                      "example": "[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"
                    },
                    "example": [
                      "[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"
                    ]
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "创建日期",
                    "type": "string"
                  },
                  "line_items": {
                    "name": "line_items",
                    "description": "商品组",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "name": {
                          "name": "name",
                          "description": "商品名称",
                          "type": "string",
                          "example": "Trade name"
                        },
                        "price_set": {
                          "name": "price_set",
                          "description": "多币种价格",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "结算币种",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "金额",
                                  "type": "string",
                                  "example": "\"100.00\""
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "\"USD\""
                                }
                              },
                              "example": {
                                "amount": "\"100.00\"",
                                "currency_code": "\"USD\""
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "店铺币种",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "金额",
                                  "type": "string",
                                  "example": "\"100.00\""
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "\"USD\""
                                }
                              },
                              "example": {
                                "amount": "\"100.00\"",
                                "currency_code": "\"USD\""
                              }
                            }
                          },
                          "example": {
                            "shop_money": {
                              "amount": "\"100.00\"",
                              "currency_code": "\"USD\""
                            },
                            "presentment_money": {
                              "currency_code": "\"USD\"",
                              "amount": "\"100.00\""
                            }
                          }
                        },
                        "sku": {
                          "name": "sku",
                          "description": "商品货号",
                          "type": "string",
                          "example": "\"183423409238904944\""
                        },
                        "taxable": {
                          "name": "taxable",
                          "description": "是否收税",
                          "type": "boolean",
                          "example": true
                        },
                        "total_discount_set": {
                          "name": "total_discount_set",
                          "description": "多币种优惠",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "结算币种",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "金额",
                                  "type": "string",
                                  "example": "\"0.00\""
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "\"USD\""
                                }
                              },
                              "example": {
                                "amount": "\"0.00\"",
                                "currency_code": "\"USD\""
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "店铺币种",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "金额",
                                  "type": "string",
                                  "example": "\"0.00\""
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "\"USD\""
                                }
                              },
                              "example": {
                                "amount": "\"0.00\"",
                                "currency_code": "\"USD\""
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "amount": "\"0.00\"",
                              "currency_code": "\"USD\""
                            },
                            "shop_money": {
                              "amount": "\"0.00\"",
                              "currency_code": "\"USD\""
                            }
                          }
                        },
                        "price": {
                          "name": "price",
                          "description": "价格",
                          "type": "string",
                          "example": "\"100.00\""
                        },
                        "product_id": {
                          "name": "product_id",
                          "description": "商品id",
                          "type": "string",
                          "example": "\"343342675\""
                        },
                        "requires_shipping": {
                          "name": "requires_shipping",
                          "description": "是否需要发货",
                          "type": "boolean",
                          "example": true
                        },
                        "tax_lines": {
                          "name": "tax_lines",
                          "description": "税",
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "price": {
                                "name": "price",
                                "description": "金额",
                                "type": "string",
                                "example": "\"10.00\""
                              },
                              "price_set": {
                                "name": "price_set",
                                "description": "多币种金额",
                                "type": "object",
                                "properties": {
                                  "shop_money": {
                                    "name": "shop_money",
                                    "description": "店铺币种",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "金额",
                                        "type": "string",
                                        "example": "\"10.00\""
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "币种",
                                        "type": "string",
                                        "example": "\"USD\""
                                      }
                                    },
                                    "example": {
                                      "currency_code": "\"USD\"",
                                      "amount": "\"10.00\""
                                    }
                                  },
                                  "presentment_money": {
                                    "name": "presentment_money",
                                    "description": "结算币种",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "金额",
                                        "type": "string",
                                        "example": "\"10.00\""
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "币种",
                                        "type": "string",
                                        "example": "\"USD\""
                                      }
                                    },
                                    "example": {
                                      "amount": "\"10.00\"",
                                      "currency_code": "\"USD\""
                                    }
                                  }
                                },
                                "example": {
                                  "presentment_money": {
                                    "amount": "\"10.00\"",
                                    "currency_code": "\"USD\""
                                  },
                                  "shop_money": {
                                    "amount": "\"10.00\"",
                                    "currency_code": "\"USD\""
                                  }
                                }
                              },
                              "rate": {
                                "name": "rate",
                                "description": "税率",
                                "type": "string",
                                "example": "\"1.00\""
                              },
                              "title": {
                                "name": "title",
                                "description": "税名称",
                                "type": "string",
                                "example": "\" Product tax \""
                              }
                            },
                            "example": {
                              "price": "\"10.00\"",
                              "price_set": {
                                "presentment_money": {
                                  "amount": "\"10.00\"",
                                  "currency_code": "\"USD\""
                                },
                                "shop_money": {
                                  "amount": "\"10.00\"",
                                  "currency_code": "\"USD\""
                                }
                              },
                              "rate": "\"1.00\"",
                              "title": "\" Product tax \""
                            }
                          },
                          "example": [
                            {
                              "price": "\"10.00\"",
                              "price_set": {
                                "presentment_money": {
                                  "currency_code": "\"USD\"",
                                  "amount": "\"10.00\""
                                },
                                "shop_money": {
                                  "currency_code": "\"USD\"",
                                  "amount": "\"10.00\""
                                }
                              },
                              "rate": "\"1.00\"",
                              "title": "\" Product tax \""
                            }
                          ]
                        },
                        "total_discount": {
                          "name": "total_discount",
                          "description": "优惠金额",
                          "type": "string",
                          "example": "\"0.00\""
                        },
                        "version": {
                          "name": "version",
                          "description": "商品版本",
                          "type": "string",
                          "example": "\"1\""
                        },
                        "title": {
                          "name": "title",
                          "description": "商品标题",
                          "type": "string",
                          "example": "\"Draft\""
                        },
                        "grams": {
                          "name": "grams",
                          "description": "重量",
                          "type": "double",
                          "example": 10.5
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "商品发货数量",
                          "type": "integer",
                          "example": 1
                        },
                        "variant_id": {
                          "name": "variant_id",
                          "description": "商品变体ID",
                          "type": "string",
                          "example": "\"183423409238904944\""
                        },
                        "variant_title": {
                          "name": "variant_title",
                          "description": "商品变体名称",
                          "type": "string",
                          "example": "\"Black / Bracelet / Bracelet\"\""
                        },
                        "fulfillable_quantity": {
                          "name": "fulfillable_quantity",
                          "description": "可发货数量",
                          "type": "integer",
                          "example": 1
                        },
                        "id": {
                          "name": "id",
                          "description": "商品ID",
                          "type": "string",
                          "example": "\"466157049\""
                        }
                      },
                      "example": {
                        "product_id": "\"343342675\"",
                        "quantity": 1,
                        "taxable": true,
                        "variant_id": "\"183423409238904944\"",
                        "version": "\"1\"",
                        "id": "\"466157049\"",
                        "price": "\"100.00\"",
                        "requires_shipping": true,
                        "tax_lines": [
                          {
                            "title": "\" Product tax \"",
                            "price": "\"10.00\"",
                            "price_set": {
                              "presentment_money": {
                                "amount": "\"10.00\"",
                                "currency_code": "\"USD\""
                              },
                              "shop_money": {
                                "amount": "\"10.00\"",
                                "currency_code": "\"USD\""
                              }
                            },
                            "rate": "\"1.00\""
                          }
                        ],
                        "variant_title": "\"Black / Bracelet / Bracelet\"\"",
                        "grams": 10.5,
                        "price_set": {
                          "presentment_money": {
                            "currency_code": "\"USD\"",
                            "amount": "\"100.00\""
                          },
                          "shop_money": {
                            "amount": "\"100.00\"",
                            "currency_code": "\"USD\""
                          }
                        },
                        "title": "\"Draft\"",
                        "total_discount": "\"0.00\"",
                        "fulfillable_quantity": 1,
                        "name": "Trade name",
                        "sku": "\"183423409238904944\"",
                        "total_discount_set": {
                          "presentment_money": {
                            "amount": "\"0.00\"",
                            "currency_code": "\"USD\""
                          },
                          "shop_money": {
                            "amount": "\"0.00\"",
                            "currency_code": "\"USD\""
                          }
                        }
                      }
                    },
                    "example": [
                      {
                        "fulfillable_quantity": 1,
                        "price": "\"100.00\"",
                        "product_id": "\"343342675\"",
                        "quantity": 1,
                        "requires_shipping": true,
                        "title": "\"Draft\"",
                        "total_discount": "\"0.00\"",
                        "variant_id": "\"183423409238904944\"",
                        "id": "\"466157049\"",
                        "price_set": {
                          "presentment_money": {
                            "amount": "\"100.00\"",
                            "currency_code": "\"USD\""
                          },
                          "shop_money": {
                            "amount": "\"100.00\"",
                            "currency_code": "\"USD\""
                          }
                        },
                        "taxable": true,
                        "tax_lines": [
                          {
                            "title": "\" Product tax \"",
                            "price": "\"10.00\"",
                            "price_set": {
                              "presentment_money": {
                                "currency_code": "\"USD\"",
                                "amount": "\"10.00\""
                              },
                              "shop_money": {
                                "amount": "\"10.00\"",
                                "currency_code": "\"USD\""
                              }
                            },
                            "rate": "\"1.00\""
                          }
                        ],
                        "total_discount_set": {
                          "presentment_money": {
                            "amount": "\"0.00\"",
                            "currency_code": "\"USD\""
                          },
                          "shop_money": {
                            "amount": "\"0.00\"",
                            "currency_code": "\"USD\""
                          }
                        },
                        "variant_title": "\"Black / Bracelet / Bracelet\"\"",
                        "version": "\"1\"",
                        "grams": 10.5,
                        "name": "Trade name",
                        "sku": "\"183423409238904944\""
                      }
                    ]
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": "订单号",
                    "type": "string",
                    "example": "\"21057116277667827637773776\""
                  },
                  "shipment_status": {
                    "name": "shipment_status",
                    "description": "物流状态",
                    "type": "string",
                    "example": "\"delivered\""
                  },
                  "tracking_company": {
                    "name": "tracking_company",
                    "description": "物流公司名称\n:::danger\n**废弃**: 该字段自 API 版本 v20250601 起已废弃。参考 `tracking_info_list` 字段查看相关信息。\n:::",
                    "type": "string",
                    "example": "\"Other\""
                  }
                },
                "example": {
                  "created_at": null,
                  "order_id": "\"21057116277667827637773776\"",
                  "status": "\"success-shipped\"",
                  "tracking_company": "\"Other\"",
                  "tracking_info_list": [
                    {
                      "tracking_company": null,
                      "tracking_number": null,
                      "tracking_url": null
                    }
                  ],
                  "tracking_number": "\"UG198768340YP\"",
                  "tracking_url": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"",
                  "tracking_urls": [
                    "[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"
                  ],
                  "id": "\"4005740193290131085320\"",
                  "line_items": [
                    {
                      "id": "\"466157049\"",
                      "requires_shipping": true,
                      "sku": "\"183423409238904944\"",
                      "taxable": true,
                      "version": "\"1\"",
                      "name": "Trade name",
                      "price": "\"100.00\"",
                      "price_set": {
                        "presentment_money": {
                          "amount": "\"100.00\"",
                          "currency_code": "\"USD\""
                        },
                        "shop_money": {
                          "amount": "\"100.00\"",
                          "currency_code": "\"USD\""
                        }
                      },
                      "quantity": 1,
                      "fulfillable_quantity": 1,
                      "grams": 10.5,
                      "product_id": "\"343342675\"",
                      "variant_id": "\"183423409238904944\"",
                      "tax_lines": [
                        {
                          "title": "\" Product tax \"",
                          "price": "\"10.00\"",
                          "price_set": {
                            "presentment_money": {
                              "amount": "\"10.00\"",
                              "currency_code": "\"USD\""
                            },
                            "shop_money": {
                              "amount": "\"10.00\"",
                              "currency_code": "\"USD\""
                            }
                          },
                          "rate": "\"1.00\""
                        }
                      ],
                      "title": "\"Draft\"",
                      "total_discount": "\"0.00\"",
                      "total_discount_set": {
                        "presentment_money": {
                          "amount": "\"0.00\"",
                          "currency_code": "\"USD\""
                        },
                        "shop_money": {
                          "amount": "\"0.00\"",
                          "currency_code": "\"USD\""
                        }
                      },
                      "variant_title": "\"Black / Bracelet / Bracelet\"\""
                    }
                  ],
                  "name": "\"#21057116277667827637773776.1\"",
                  "shipment_status": "\"delivered\"",
                  "tracking_numbers": [
                    "[\"UG198768340YP\"]"
                  ],
                  "updated_at": "2022-10-21T08:56:20-04:00"
                }
              }
            },
            "example": {
              "fulfillment": {
                "created_at": null,
                "id": "\"4005740193290131085320\"",
                "line_items": [
                  {
                    "name": "Trade name",
                    "price_set": {
                      "presentment_money": {
                        "amount": "\"100.00\"",
                        "currency_code": "\"USD\""
                      },
                      "shop_money": {
                        "amount": "\"100.00\"",
                        "currency_code": "\"USD\""
                      }
                    },
                    "sku": "\"183423409238904944\"",
                    "total_discount_set": {
                      "presentment_money": {
                        "amount": "\"0.00\"",
                        "currency_code": "\"USD\""
                      },
                      "shop_money": {
                        "amount": "\"0.00\"",
                        "currency_code": "\"USD\""
                      }
                    },
                    "version": "\"1\"",
                    "fulfillable_quantity": 1,
                    "variant_title": "\"Black / Bracelet / Bracelet\"\"",
                    "price": "\"100.00\"",
                    "requires_shipping": true,
                    "title": "\"Draft\"",
                    "grams": 10.5,
                    "id": "\"466157049\"",
                    "product_id": "\"343342675\"",
                    "quantity": 1,
                    "tax_lines": [
                      {
                        "price": "\"10.00\"",
                        "price_set": {
                          "presentment_money": {
                            "amount": "\"10.00\"",
                            "currency_code": "\"USD\""
                          },
                          "shop_money": {
                            "currency_code": "\"USD\"",
                            "amount": "\"10.00\""
                          }
                        },
                        "rate": "\"1.00\"",
                        "title": "\" Product tax \""
                      }
                    ],
                    "taxable": true,
                    "total_discount": "\"0.00\"",
                    "variant_id": "\"183423409238904944\""
                  }
                ],
                "name": "\"#21057116277667827637773776.1\"",
                "shipment_status": "\"delivered\"",
                "tracking_info_list": [
                  {
                    "tracking_url": null,
                    "tracking_company": null,
                    "tracking_number": null
                  }
                ],
                "tracking_url": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"",
                "tracking_urls": [
                  "[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"
                ],
                "order_id": "\"21057116277667827637773776\"",
                "status": "\"success-shipped\"",
                "tracking_company": "\"Other\"",
                "tracking_number": "\"UG198768340YP\"",
                "tracking_numbers": [
                  "[\"UG198768340YP\"]"
                ],
                "updated_at": "2022-10-21T08:56:20-04:00"
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/orders/:order_id/fulfillments/:fulfillment_id/update_tracking.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "更新运单号",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_orders"
  ]
}
```